MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031102Open CASCADE[OCCT] OCCT:Visualizationpublic2019-10-24 13:432019-11-10 11:41
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031102: Visualization, AIS_ViewController - AIS_DragAction_Stop is never emitted on mouse unclick
DescriptionDue to resetting click counter within AIS_ViewController::UpdateMousePosition() handler, AIS_DragAction_Stop never happens on mouse unclick (it is emitted properly at releasing finger touch).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030507closedbugmaster Open CASCADE Visualization - introduce AIS_ViewController 

-  Notes
(0088569)
git (administrator)
2019-10-24 13:45

Branch CR31102 has been created by kgv.

SHA-1: 1b0f6fdb1debf4a715173fa91c9d859120382718


Detailed log of new commits:

Author: kgv
Date: Thu Oct 24 13:44:49 2019 +0300

    0031102: Visualization, AIS_ViewController - AIS_DragAction_Stop is never emitted on mouse unclick
    
    AIS_ViewController::UpdateMousePosition() now sets myMouseStopDragOnUnclick flag
    to emit AIS_DragAction_Stop on mouse unclick.
(0088576)
kgv (developer)
2019-10-24 17:06

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31102-master-KGV/ [^]
(0088588)
osa (developer)
2019-10-25 09:36

The patch was reviewed without remarks
(0088855)
git (administrator)
2019-11-10 11:41

Branch CR31102 has been deleted by inv.

SHA-1: 1b0f6fdb1debf4a715173fa91c9d859120382718

- Related Changesets
occt: master 215dd331
Timestamp: 2019-10-24 10:44:49
Author: kgv
Committer: apn
Details ] Diff ]
0031102: Visualization, AIS_ViewController - AIS_DragAction_Stop is never emitted on mouse unclick

AIS_ViewController::UpdateMousePosition() now sets myMouseStopDragOnUnclick flag
to emit AIS_DragAction_Stop on mouse unclick.
mod - src/AIS/AIS_ViewController.cxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-10-24 13:43 kgv New Issue
2019-10-24 13:43 kgv Assigned To => kgv
2019-10-24 13:45 git Note Added: 0088569
2019-10-24 13:48 kgv Relationship added child of 0030507
2019-10-24 13:48 kgv Product Version => 7.4.0
2019-10-24 13:55 kgv Relationship added related to 0031103
2019-10-24 17:06 kgv Note Added: 0088576
2019-10-24 17:06 kgv Assigned To kgv => osa
2019-10-24 17:06 kgv Status new => resolved
2019-10-25 09:36 osa Note Added: 0088588
2019-10-25 09:36 osa Assigned To osa => bugmaster
2019-10-25 09:36 osa Status resolved => reviewed
2019-10-26 19:48 apn Test case number => Not needed
2019-10-28 01:51 apn Changeset attached => occt master 215dd331
2019-10-28 01:51 apn Assigned To bugmaster => apn
2019-10-28 01:51 apn Status reviewed => verified
2019-10-28 01:51 apn Resolution open => fixed
2019-11-10 11:41 git Note Added: 0088855


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker